Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226045 - Merge Review: libSM
Summary: Merge Review: libSM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:27 UTC by Nobody's working on this, feel free to take it
Modified: 2009-03-07 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-07 22:10:59 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:27:54 UTC
Fedora Merge Review: libSM

http://cvs.fedora.redhat.com/viewcvs/devel/libSM/
Initial Owner: sandmann@redhat.com

Comment 1 Robert Scheck 2009-01-13 21:57:35 UTC
libSM.i386: E: zero-length /usr/share/doc/libSM-1.1.0/README - remove or
solve it somehow.

Comment 2 Adam Jackson 2009-02-21 20:15:11 UTC
Fixed in 1.1.0-3.

Comment 3 Jason Tibbitts 2009-03-07 22:10:59 UTC
I made the same basic changes I made to libICE:

- Minor tweaks to summaries and descriptions.
- Don't own /usr/include/X11.
- Use a regular, unversioned dep on xorg-x11-filesystem.

With this rpmlint says just:
  libSM.x86_64: W: shared-lib-calls-exit /usr/lib64/libSM.so.6.0.0 
   exit@GLIBC_2.2.5
  libSM-devel.x86_64: W: no-documentation
which are fine, although I don't get why the X libs all call exit.  Seems like that's the last thing you'd want deep in a client.

* source files match upstream.  sha256sum:
   7536ac382e1ff82014d3a0defba0c61b3a30984f4e5bc7707960d6debcb92a82  
   libSM-1.1.0.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libSM-1.1.0-5.fc11.x86_64.rpm
   libSM.so.6()(64bit)
   libSM = 1.1.0-5.fc11
   libSM(x86-64) = 1.1.0-5.fc11
  =
   /sbin/ldconfig
   libICE.so.6()(64bit)
   libSM.so.6()(64bit)
   libuuid.so.1()(64bit)

  libSM-devel-1.1.0-5.fc11.x86_64.rpm
   pkgconfig(sm) = 1.1.0
   libSM-devel = 1.1.0-5.fc11
   libSM-devel(x86-64) = 1.1.0-5.fc11
  =
   /usr/bin/pkg-config
   libICE-devel
   libSM = 1.1.0-5.fc11
   libSM.so.6()(64bit)
   pkgconfig
   pkgconfig(ice)
   pkgconfig(xproto)
   xorg-x11-filesystem
   xorg-x11-proto-devel

* shared libraries are installed.
   ldconfig called properly
   unversioned .so link is in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* scriptlets are OK (ldconfig).
* code, not content.
* headers are in the -devel package.
* pkgconfig files are in the -devel package.
* no static libraries.
* no libtool .la files.

APPROVED, and closing.


Note You need to log in before you can comment on or make changes to this bug.